Bug 202536 - emulators/qemu-sbruno fails to build on 10.2 with opengl option
Summary: emulators/qemu-sbruno fails to build on 10.2 with opengl option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Sean Bruno
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-20 21:46 UTC by Ivan
Modified: 2015-10-13 18:03 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (nox)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ivan 2015-08-20 21:46:33 UTC
The following error is being generated if I try to compile port with opengl (default) option.

In file included from ui/egl-helpers.c:11:
/var/ports/usr/ports/emulators/qemu-sbruno/work/qemu-bsd-user-6764363/include/ui/egl-helpers.h:10:55: error: unknown type name 'Window'
EGLSurface qemu_egl_init_surface_x11(EGLContext ectx, Window win);
  ^
ui/egl-helpers.c:30:55: error: unknown type name 'Window'
EGLSurface qemu_egl_init_surface_x11(EGLContext ectx, Window win)
  ^
2 errors generated.
Comment 1 Walter Schwarzenfeld 2015-08-20 21:59:02 UTC
Compiles with OPENGL option set to off. 
Also get an install error:
install  -m 555 /usr/ports/emulators/qemu-sbruno/files/qemu-ifdown.sample /usr/ports/emulators/qemu-sbruno/work/stage/usr/local/etc
cd: /usr/ports/emulators/qemu-sbruno/work/stage/usr/local/etc/qemu: No such file or directory
*** Error code 2
Comment 2 Walter Schwarzenfeld 2015-08-20 23:02:02 UTC
Fails also on poudriere. But only with the "install-error".
Comment 3 Walter Schwarzenfeld 2015-08-20 23:38:58 UTC
It compiles in the port  with option OPENGL set to on if I comment out the following line in the Makefile:
CONFIGURE_ARGS+=   --extra-ldflags=-L${LOCALBASE}/lib

The install-error still exists.
Comment 4 Walter Schwarzenfeld 2015-08-20 23:44:52 UTC
Seems the file target-x86_64.conf is missing.
Comment 5 Sean Bruno freebsd_committer 2015-09-02 16:17:45 UTC
(In reply to Walter Schwarzenfeld from comment #4)
I think this is now fixed.
Comment 6 Walter Schwarzenfeld 2015-09-02 21:13:27 UTC
Sorry, no - it does not work.
You forget to remove
Makefile, line 63:
=> CONFIGURE_ARGS+=   --extra-ldflags=-L${LOCALBASE}/lib
Comment 7 commit-hook freebsd_committer 2015-09-03 17:40:26 UTC
A commit references this bug:

Author: sbruno
Date: Thu Sep  3 17:39:42 UTC 2015
New revision: 396024
URL: https://svnweb.freebsd.org/changeset/ports/396024

Log:
  Build fixes for 2.4.0
  - regenerate patch-pcap
  - Escape --extra-ldflags as it looks like the qemu builder is eating spaces
    or lines making it frustrating to use.

  PR:	202402 202536 202864

Changes:
  head/emulators/qemu-devel/Makefile
  head/emulators/qemu-devel/files/pcap-patch
Comment 8 Walter Schwarzenfeld 2015-09-03 18:03:22 UTC
Ok thanks, now it compiles fine.
Comment 9 Sean Bruno freebsd_committer 2015-09-03 18:05:14 UTC
(In reply to Walter Schwarzenfeld from comment #8)

Ok, I didn't get this problem with emulators/qemu-sbruno ... Is that still broken for you?
Comment 10 Walter Schwarzenfeld 2015-09-03 18:16:49 UTC
(In reply to Sean Bruno from comment #9)
No, it's ok.
Comment 11 commit-hook freebsd_committer 2015-09-03 18:28:33 UTC
A commit references this bug:

Author: sbruno
Date: Thu Sep  3 18:27:45 UTC 2015
New revision: 396026
URL: https://svnweb.freebsd.org/changeset/ports/396026

Log:
  Fix Makefile so that those who want to use this port directly can still
  build.

  PR:	202536

Changes:
  head/emulators/qemu-sbruno/Makefile
Comment 12 commit-hook freebsd_committer 2015-09-04 17:25:22 UTC
A commit references this bug:

Author: junovitch
Date: Fri Sep  4 17:24:39 UTC 2015
New revision: 396122
URL: https://svnweb.freebsd.org/changeset/ports/396122

Log:
  MFH: r395861 r396024 r394418 r395787 r396026

  r395861
  QEMU update to 2.4.0
  - remove patch files accepted and merge upstream
  - Add new vgabios-virtio

  r396024
  Build fixes for 2.4.0
  - regenerate patch-pcap
  - Escape --extra-ldflags as it looks like the qemu builder is eating spaces
    or lines making it frustrating to use.

  PR:	202402 202536 202864

  r394418
  Update qemu-sbruno to track bsd-user branch on github.  I *am* the
  upstream of this port and maintainer notified developers on 07/17/15 to
  update his ports while he is AFK.

  Sync's to pre-release 2.4.0

  Differential Revision:	https://reviews.freebsd.org/D3385

  r395787
  Build fix:
  - Remove etc/qemu/target-x86_64.conf.sample dropped by upstream
  - Add vgabios-virtio.bin

  r396026
  Fix Makefile so that those who want to use this port directly can still
  build.

  PR:	202536

  PR:		202402
  Security:	CVE-2015-5154
  Security:	CVE-2015-5165
  Security:	CVE-2015-5166
  Security:	da451130-365d-11e5-a4a5-002590263bf5
  Security:	f06f20dc-4347-11e5-93ad-002590263bf5
  Security:	ee99899d-4347-11e5-93ad-002590263bf5
  Approved by:	ports-secteam (feld), feld (mentor)

Changes:
_U  branches/2015Q3/
  branches/2015Q3/emulators/qemu-devel/Makefile
  branches/2015Q3/emulators/qemu-devel/distinfo
  branches/2015Q3/emulators/qemu-devel/files/patch-90_security
  branches/2015Q3/emulators/qemu-devel/files/patch-CVE-2015-3209
  branches/2015Q3/emulators/qemu-devel/files/patch-CVE-2015-3456
  branches/2015Q3/emulators/qemu-devel/files/patch-include-qemu-aes.h
  branches/2015Q3/emulators/qemu-devel/files/patch-tapclose
  branches/2015Q3/emulators/qemu-devel/files/pcap-patch
  branches/2015Q3/emulators/qemu-devel/pkg-plist
  branches/2015Q3/emulators/qemu-sbruno/Makefile
  branches/2015Q3/emulators/qemu-sbruno/distinfo
  branches/2015Q3/emulators/qemu-sbruno/files/patch-CVE-2015-3209
  branches/2015Q3/emulators/qemu-sbruno/files/patch-include-qemu-aes.h
  branches/2015Q3/emulators/qemu-sbruno/pkg-plist
Comment 13 commit-hook freebsd_committer 2015-09-04 17:25:25 UTC
A commit references this bug:

Author: junovitch
Date: Fri Sep  4 17:24:39 UTC 2015
New revision: 396122
URL: https://svnweb.freebsd.org/changeset/ports/396122

Log:
  MFH: r395861 r396024 r394418 r395787 r396026

  r395861
  QEMU update to 2.4.0
  - remove patch files accepted and merge upstream
  - Add new vgabios-virtio

  r396024
  Build fixes for 2.4.0
  - regenerate patch-pcap
  - Escape --extra-ldflags as it looks like the qemu builder is eating spaces
    or lines making it frustrating to use.

  PR:	202402 202536 202864

  r394418
  Update qemu-sbruno to track bsd-user branch on github.  I *am* the
  upstream of this port and maintainer notified developers on 07/17/15 to
  update his ports while he is AFK.

  Sync's to pre-release 2.4.0

  Differential Revision:	https://reviews.freebsd.org/D3385

  r395787
  Build fix:
  - Remove etc/qemu/target-x86_64.conf.sample dropped by upstream
  - Add vgabios-virtio.bin

  r396026
  Fix Makefile so that those who want to use this port directly can still
  build.

  PR:	202536

  PR:		202402
  Security:	CVE-2015-5154
  Security:	CVE-2015-5165
  Security:	CVE-2015-5166
  Security:	da451130-365d-11e5-a4a5-002590263bf5
  Security:	f06f20dc-4347-11e5-93ad-002590263bf5
  Security:	ee99899d-4347-11e5-93ad-002590263bf5
  Approved by:	ports-secteam (feld), feld (mentor)

Changes:
_U  branches/2015Q3/
  branches/2015Q3/emulators/qemu-devel/Makefile
  branches/2015Q3/emulators/qemu-devel/distinfo
  branches/2015Q3/emulators/qemu-devel/files/patch-90_security
  branches/2015Q3/emulators/qemu-devel/files/patch-CVE-2015-3209
  branches/2015Q3/emulators/qemu-devel/files/patch-CVE-2015-3456
  branches/2015Q3/emulators/qemu-devel/files/patch-include-qemu-aes.h
  branches/2015Q3/emulators/qemu-devel/files/patch-tapclose
  branches/2015Q3/emulators/qemu-devel/files/pcap-patch
  branches/2015Q3/emulators/qemu-devel/pkg-plist
  branches/2015Q3/emulators/qemu-sbruno/Makefile
  branches/2015Q3/emulators/qemu-sbruno/distinfo
  branches/2015Q3/emulators/qemu-sbruno/files/patch-CVE-2015-3209
  branches/2015Q3/emulators/qemu-sbruno/files/patch-include-qemu-aes.h
  branches/2015Q3/emulators/qemu-sbruno/pkg-plist